Bug 49426 - The file /proc/tty/driver/serial does not get deleted on module unload (serial.o)
The file /proc/tty/driver/serial does not get deleted on module unload (seria...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-19 10:55 EDT by Johannes Kolb
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My bug-report on the Kernel-Mailinglist. (2.01 KB, text/plain)
2001-07-19 10:57 EDT, Johannes Kolb
no flags Details
My proposed patch, that solves the problem. (303 bytes, patch)
2001-07-19 10:58 EDT, Johannes Kolb
no flags Details | Diff

  None (edit)
Description Johannes Kolb 2001-07-19 10:55:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.5 [en] (X11; I; Linux 2.4.6 i586)

Description of problem:
If the serial driver (compiled as module) is loaded and then unloaded, the
proc-entry tty/driver/serial does not get deleted.
The remaining file is invalid and produces a kernel-oops on access.

I already reported this bug on the Kernel-Mailinglist, but there was no
answer. I attach my original email to this request.

How reproducible:
Always

Steps to Reproduce:
1.  insmod serial
2.  rmmod serial
3.  ls /proc/tty/driver

Actual Results:  The ls outputs:
serial


Expected Results:  The ls shoud show an empty directory.

Additional info:
Comment 1 Johannes Kolb 2001-07-19 10:57:04 EDT
Created attachment 24128 [details]
My bug-report on the Kernel-Mailinglist.
Comment 2 Johannes Kolb 2001-07-19 10:58:38 EDT
Created attachment 24129 [details]
My proposed patch, that solves the problem.
Comment 3 Arjan van de Ven 2001-07-19 11:07:54 EDT
Looks sane, added to our kernel.
Comment 4 Need Real Name 2001-10-18 09:08:20 EDT
I am running kernel 2.2.14 RedHat 6.2 and I get a SIGSEGV on 
cat /proc/tty/driver/serial.  Could this be related?
Comment 5 Russell King 2001-11-29 07:43:31 EST
Please confirm whether the bug still exists in Marcelo's 2.4.16 kernel.  Thanks.
Comment 6 Need Real Name 2001-11-29 08:01:30 EST
User does not want to upgrade. Only option for the user is to do without this 
functionality.  Specific to their UP kernels Compaq DL360 and not a problem on 
the MP machines.  I will keep 2.4.16 in mind if the user decides to upgrade and 
let you know.
Thanks.
Comment 7 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.